BizKitHub
DocsAPI ReferenceDrive/bff/drive/trash
getpostDriveAdmin BFF

/bff/drive/trash

Trashed files and folders (top level), newest first.

DrivepostBffDriveTrash

Parameters

JSON body

Request body

application/json
filesstring[]Optional

Blob tokens.

foldersstring[]Optional

Folder external ids.

Response schema

1 status code documented

200Success
trashednumberRequired
blockedobject[]Required
Each array item:
type"file" | "folder"Required
idstringRequired
namestringRequired
usedIn"invoice" | "accounting" | "email" | "order" | "product" | "content" | "contact" | "issue" | "shipment" | "contract" | "import" | "other"[]Required
Each array item:
"invoice" | "accounting" | "email" | "order" | "product" | "content" | "contact" | "issue" | "shipment" | "contract" | "import" | "other"
referencedFileCountnumberOptional

Response example

application/json
{
  "trashed": 0,
  "blocked": [
    {
      "id": "example_id",
      "name": "example_name",
      "usedIn": [],
      "referencedFileCount": 0
    }
  ]
}

Request example

POST /bff/drive/trash

post
curl -X POST "https://api.bizkithub.com/bff/drive/trash" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "files": [
    "string"
  ],
  "folders": [
    "string"
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key